
function mudfish_adclean_0ebd4e06ace8dc5d834f4dcd23dda602() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`#menufoot .content div[class*="ad"][style*="padding:"]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_0ebd4e06ace8dc5d834f4dcd23dda602();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_0ebd4e06ace8dc5d834f4dcd23dda602();
  });
}
